> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leamout.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a carrier connection



## OpenAPI

````yaml /openapi.json post /v1/carrier-connections/
openapi: 3.1.0
info:
  title: Leamout API
  version: 1.0.0
  description: The Leamout API for programmable communications.
servers:
  - url: https://api.leamout.com
security:
  - BearerAuth: []
tags:
  - name: Voice applications
    description: Programmable voice applications and inbound bindings.
  - name: Calls
    description: Durable calls and live call control.
  - name: SIP domains
    description: Organization-owned SIP namespaces.
  - name: SIP subscribers
    description: SIP identities and credentials.
  - name: Carrier providers
    description: Carrier provider definitions available to connections.
  - name: Carrier connections
    description: >-
      Organization carrier relationships, authentication, policy, and
      validation.
  - name: Trunks
    description: BYOC and managed SIP trunks and their physical endpoints.
  - name: Numbers
    description: BYOC and managed phone-number resources.
  - name: Recordings
    description: Call recording metadata and playback.
  - name: Conferences
    description: Conference resources and participant controls.
  - name: Realtime
    description: Short-lived realtime/WebRTC credentials.
  - name: Webhooks
    description: Webhook endpoints, secrets, tests, deliveries, and retries.
paths:
  /v1/carrier-connections/:
    post:
      tags:
        - Carrier connections
      summary: Create a carrier connection
      operationId: createCarrierConnection
      requestBody:
        $ref: '#/components/requestBodies/CarrierConnectionCreate'
      responses:
        '201':
          description: Carrier connection created
        '400':
          $ref: '#/components/responses/BadRequest'
components:
  requestBodies:
    CarrierConnectionCreate:
      required: true
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/CarrierConnectionCreate'
  responses:
    BadRequest:
      description: Bad request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  schemas:
    CarrierConnectionCreate:
      type: object
      required:
        - provider_id
        - name
      properties:
        provider_id:
          type: string
          format: uuid
        name:
          type: string
        status:
          type: string
        inbound_enabled:
          type: boolean
        max_cps:
          type: integer
        max_concurrent_calls:
          type: integer
        max_daily_minutes:
          type: integer
        codecs:
          type: array
          items:
            type: string
        supports_video:
          type: boolean
        supports_fax:
          type: boolean
    ErrorResponse:
      type: object
      required:
        - success
        - error
      properties:
        success:
          type: boolean
          const: false
        error:
          $ref: '#/components/schemas/Error'
    Error:
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Organization credential
      description: Organization bearer credential beginning with lm_org_.

````